D4Science Infrastructure - Incident #1341

VRE Definition does not work
Nov 11, 2015 06:00 PM - Leonardo Candela

Status: Closed Start date: Nov 11, 2015
Priority: Normal Due date:

Assignee: Roberto Cirillo % Done: 100%
Category: Other Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

I'm trying to define a new VRE in the gCubeApps scope via the services.d4science gateway.
The portlet remains in loading at the second step, i.e. when the designer is going to select the facilities of the VRE.

The same issue is experienced via the iMarine portal.

History

#1 - Nov 11, 2015 06:19 PM - Massimiliano Assante

Nope, sorry. | think | know why, we need to upgrade both althe service and the portlets to make it work, or | need to put another patch. But it is not
related to the service not available

#2 - Nov 11, 2015 06:21 PM - Roberto Cirillo

- Status changed from New to In Progress

#3 - Nov 11, 2015 06:24 PM - Massimiliano Assante

Nope, sorry. | think | know why, we need to upgrade both althe service and the portlets to make it work, or | need to put another patch. But it is not
related to the service not available

#4 - Nov 11, 2015 06:33 PM - Roberto Cirillo
- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

the service was started (I didn't receive any nagios check from this service) but | guess this service wasn't registered correctly in the infra because it is
on the same node of IS-Collector and, probably, after the blackout the vre-modeler has been restarted before the 1S-Collector service.
Now it works. Could you check it please?

#5 - Nov 11, 2015 06:46 PM - Leonardo Candela
- Status changed from Feedback to Closed

The problem is fixed.

#6 - Nov 11, 2015 06:56 PM - Leonardo Candela
- File Screen Shot 2015-11-11 at 18.54.27.png added

- Status changed from Closed to In Progress

Unfortunately step 2 only was fixed, I'm now experiencing problems at the latest step (when clicking on the Upload and confirming).

The message | get is very informative (see the screenshot).

#7 - Nov 11, 2015 07:01 PM - Leonardo Candela
- File Screen Shot 2015-11-11 at 19.01.27.png added
- % Done changed from 100 to 90

However, the "error" is not "blocking" ... in the reality it happens that the VRE specification is stored every time one tries to Upload (see attachment).
#8 - Nov 12, 2015 12:57 PM - Massimiliano Assante

Yes, the problem is due to the fact that the VRE-Portlets and the Service were not upgraded to 3.9.0, but the HomeLibrary was upgraded (and the

portlets depend on it for sending messages, which signature method has changed)
We need to upgrade the portlets and the services if you want to make it work

#9 - Nov 20, 2015 11:20 AM - Roberto Cirillo

can this ticket be closed?

#10 - Nov 20, 2015 11:31 AM - Massimiliano Assante
- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

#11 - Nov 20, 2015 11:31 AM - Massimiliano Assante

- Status changed from Resolved to Closed
